import { LitElement, PropertyValues } from "lit";
import { FTooltipPlacement } from "../../../components/f-tooltip/f-tooltip";
export type FTooltipObject = {
    text: string;
    closable?: boolean;
    placement?: FTooltipPlacement;
    maxWidth?: string;
};
export type FRootTooltip = string | FTooltipObject;
/**
 * @summary Every component must extent this class to consume gbobal styles , such as css reset, font family,...
 *
 */
export declare class FRoot extends LitElement {
    static styles: import("lit").CSSResult[];
    tooltipElement: HTMLElement;
    /**
     * @attribute Value of a switch defines if it is on or off.
     */
    tooltip?: FRootTooltip;
    get tooltipText(): string | undefined;
    get tooltipMaxWidth(): string;
    mouseEnter?: () => void;
    mouseLeave?: () => void;
    disconnectedCallback(): void;
    protected updated(changedProperties: PropertyValues): void;
}
